## org.apache.lucene.analysis.icu.tokenattributes
Interface ScriptAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  ScriptAttributeImpl

    public interface ScriptAttribute

extends Attribute

This attribute stores the UTR #24 script value for a token of text.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`int` `getCode()` Get the numeric code for this script value.
`String` `getName()` Get the full name.
`String` `getShortName()` Get the abbreviated name.
`void` `setCode(int code)` Set the numeric code for this script value.

Method Detail

### getCode

    int getCode()

  Get the numeric code for this script value. This is the constant value from `UScript`.

  Returns:
    numeric code

### setCode

    void setCode(int code)

  Set the numeric code for this script value. This is the constant value from `UScript`.

  Parameters:
    `code` - numeric code

### getName

    String getName()

  Get the full name.

  Returns:
    UTR #24 full name.

### getShortName

    String getShortName()

  Get the abbreviated name.

  Returns:
    UTR #24 abbreviated name.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.